PETSc version 3.17.4
Fix/Edit manual page

# PCFieldSplitGetDetectSaddlePoint

Returns flag indicating whether PCFieldSplit will attempt to automatically determine fields based on zero diagonal entries.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetDetectSaddlePoint(PC pc,PetscBool *flg)

Logically Collective

### Input Parameter

| pc | - the preconditioner context

### Output Parameter

| flg | - boolean indicating whether to detect fields or not

### See Also

PCFIELDSPLIT, PCFieldSplitSetDetectSaddlePoint()

### Level

Intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages